using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Lesnikowski.Mail;


public class SimpleForm : System.Windows.Forms.Form
{
	private System.Windows.Forms.TextBox textBodyTextBox;
	private System.Windows.Forms.TextBox htmlBodyTextBox;
	private System.Windows.Forms.ListBox attachmentListBox;
	private System.ComponentModel.Container components = null;
	private System.Windows.Forms.Label label1;
	private System.Windows.Forms.Label label2;
	private System.Windows.Forms.Label label3;
	private System.Windows.Forms.Label label4;
	private System.Windows.Forms.ListBox visualListBox;

	private SimpleMailMessage sm;

	public SimpleForm(SimpleMailMessage sm)
	{
		this.sm=sm;
		InitializeComponent();
		if (sm.HtmlData!=null)
			this.htmlBodyTextBox.Text=sm.HtmlData.Body;
		else
			this.htmlBodyTextBox.Text="<empty>";
		if (sm.TextData!=null)
			this.textBodyTextBox.Text=sm.TextData.Body;
		else
			this.textBodyTextBox.Text="<empty>";

		foreach(MimeData mime in sm.Attachments)
			this.attachmentListBox.Items.Add(mime.FileName+", "+mime.ContentType);

		foreach(MimeData mime in sm.Visuals)
			this.visualListBox.Items.Add(mime.Headers["content-id"]+", "+mime.ContentType);
	}


	protected override void Dispose( bool disposing )
	{
		if( disposing )
		{
			if(components != null)
			{
				components.Dispose();
			}
		}
		base.Dispose( disposing );
	}

	#region Windows Form Designer generated code
	/// <summary>
	/// Required method for Designer support - do not modify
	/// the contents of this method with the code editor.
	/// </summary>
	private void InitializeComponent()
	{
		this.textBodyTextBox = new System.Windows.Forms.TextBox();
		this.htmlBodyTextBox = new System.Windows.Forms.TextBox();
		this.attachmentListBox = new System.Windows.Forms.ListBox();
		this.visualListBox = new System.Windows.Forms.ListBox();
		this.label1 = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.label3 = new System.Windows.Forms.Label();
		this.label4 = new System.Windows.Forms.Label();
		this.SuspendLayout();
		// 
		// textBodyTextBox
		// 
		this.textBodyTextBox.Location = new System.Drawing.Point(8, 24);
		this.textBodyTextBox.Multiline = true;
		this.textBodyTextBox.Name = "textBodyTextBox";
		this.textBodyTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Both;
		this.textBodyTextBox.Size = new System.Drawing.Size(288, 224);
		this.textBodyTextBox.TabIndex = 0;
		this.textBodyTextBox.Text = "";
		// 
		// htmlBodyTextBox
		// 
		this.htmlBodyTextBox.Location = new System.Drawing.Point(312, 24);
		this.htmlBodyTextBox.Multiline = true;
		this.htmlBodyTextBox.Name = "htmlBodyTextBox";
		this.htmlBodyTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Both;
		this.htmlBodyTextBox.Size = new System.Drawing.Size(288, 224);
		this.htmlBodyTextBox.TabIndex = 1;
		this.htmlBodyTextBox.Text = "";
		// 
		// attachmentListBox
		// 
		this.attachmentListBox.IntegralHeight = false;
		this.attachmentListBox.Location = new System.Drawing.Point(8, 288);
		this.attachmentListBox.Name = "attachmentListBox";
		this.attachmentListBox.Size = new System.Drawing.Size(288, 168);
		this.attachmentListBox.TabIndex = 2;
		// 
		// visualListBox
		// 
		this.visualListBox.IntegralHeight = false;
		this.visualListBox.Location = new System.Drawing.Point(312, 288);
		this.visualListBox.Name = "visualListBox";
		this.visualListBox.Size = new System.Drawing.Size(288, 168);
		this.visualListBox.TabIndex = 4;
		// 
		// label1
		// 
		this.label1.Location = new System.Drawing.Point(8, 8);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(288, 16);
		this.label1.TabIndex = 5;
		this.label1.Text = "text:";
		// 
		// label2
		// 
		this.label2.Location = new System.Drawing.Point(312, 8);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(100, 16);
		this.label2.TabIndex = 6;
		this.label2.Text = "html:";
		// 
		// label3
		// 
		this.label3.Location = new System.Drawing.Point(8, 272);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(80, 16);
		this.label3.TabIndex = 7;
		this.label3.Text = "attachments:";
		// 
		// label4
		// 
		this.label4.Location = new System.Drawing.Point(312, 272);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(100, 16);
		this.label4.TabIndex = 8;
		this.label4.Text = "visuals:";
		// 
		// SimpleForm
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(616, 469);
		this.Controls.Add(this.label4);
		this.Controls.Add(this.label3);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.Controls.Add(this.visualListBox);
		this.Controls.Add(this.textBodyTextBox);
		this.Controls.Add(this.htmlBodyTextBox);
		this.Controls.Add(this.attachmentListBox);
		this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
		this.MaximizeBox = false;
		this.Name = "SimpleForm";
		this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
		this.Text = "SimpleForm";
		this.ResumeLayout(false);

	}
	#endregion



}
